---
title: pointer
slug: Web/CSS/@media/pointer
tags:
  - '@media'
  - CSS
  - Media Queries
  - Reference
  - media feature
---
<div>{{cssref}}</div>

<p>The <strong><code>pointer</code></strong> <a href="/en-US/docs/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/Media_Queries/Using_media_queries#Media_features">media feature</a> tests whether the user has a pointing device (such as a mouse), and if so, how accurate the <em>primary</em> pointing device is.</p>

<div class="note">
<p><strong>Note:</strong> If you want to test the accuracy of <em>any</em> pointing device, use <code><a href="/en-US/docs/Web/CSS/@media/any-pointer">any-pointer</a></code> instead.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<p>The <code>pointer</code> feature is specified as a keyword value chosen from the list below.</p>

<dl>
 <dt><code>none</code></dt>
 <dd>The primary input mechanism does not include a pointing device.</dd>
 <dt><code>coarse</code></dt>
 <dd>The primary input mechanism includes a pointing device of limited accuracy.</dd>
 <dt><code>fine</code></dt>
 <dd>The primary input mechanism includes an accurate pointing device.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>This example creates a small checkbox for users with fine primary pointers and a large checkbox for users with coarse primary pointers.</p>

<h3 id="HTML">HTML</h3>

<pre class="brush: html notranslate">&lt;input id="test" type="checkbox" /&gt;
&lt;label for="test"&gt;Look at me!&lt;/label&gt;</pre>

<h3 id="CSS">CSS</h3>

<pre class="brush: css notranslate">input[type="checkbox"] {
  -moz-appearance: none;
  -webkit-appearance: none;
  appearance: none;
  border: solid;
  margin: 0;
}

input[type="checkbox"]:checked {
  background: gray;
}

@media (pointer: fine) {
  input[type="checkbox"] {
    width: 15px;
    height: 15px;
    border-width: 1px;
    border-color: blue;
  }
}

@media (pointer: coarse) {
  input[type="checkbox"] {
    width: 30px;
    height: 30px;
    border-width: 2px;
    border-color: red;
  }
}</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Examples")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS4 Media Queries', '#pointer', 'pointer')}}</td>
   <td>{{Spec2('CSS4 Media Queries')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.at-rules.media.pointer")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/CSS/@media/any-pointer">The <code>any-pointer</code> media feature</a></li>
</ul>
